Cancel by External Order ID
Response Example
{
"success": true,
"code": 0,
"data": [
{
"orderId": 101716841474621953,
"errorCode": 2040,
"errorMsg": "order not exist"
},
{
"orderId": 108885377779302912,
"errorCode": 2041,
"errorMsg": "order state cannot be cancelled"
},
{
"orderId": 108886241042563584,
"errorCode": 0,
"errorMsg": "success"
}
]
}
- POST
/api/v1/private/order/cancel_with_external
Required Permission: Order Placing
Request Parameters:
list collection; e.g. [{"symbol":"BTC_USDT", "externalOid":"ext_11"}]
| Parameter | Type | Required | Description |
|---|---|---|---|
| symbol | string | true | Contract |
| externalOid | string | true | External order id |
Response Parameters:
| Parameter | Type | Description |
|---|---|---|
| orderId | long | Order ID |
| errorCode | int | Error code |
| errorMsg | string | Error reason |